## python-corba 1.2.0

=== examples/echo/Makefile ===
MATECORBA2_CFLAGS=`pkg-config --cflags MateCORBA-2.0`
MATECORBA2_LIBS=`pkg-config --libs MateCORBA-2.0`

all: echo_module.la

%.lo: %.c
	libtool --mode=compile gcc $(MATECORBA2_CFLAGS) -c $<

echo_module.la: echo-imodule.lo
	libtool --mode=link  gcc $(MATECORBA2_LIBS) -o $@ $< -rpath `pwd`\
		-export-dynamic -module -avoid-version

idlgen = echo-imodule.c echo-common.c echo.h

echo-imodule.c: echo.idl
	matecorba-idl-2 --add-imodule --noskels --nostubs $<

clean:
	-libtool --mode=clean rm -rf *.lo *.la $(idlgen)

install: echo_module.la
	libtool --mode=install install echo_module.la\
		`pkg-config --variable=libdir MateCORBA-2.0`/matecorba-2.0

=== debian/changelog ===
python-corba (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 09 Mar 2012 00:09:46 +0100

python-corba (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 11 Dec 2011 14:56:57 +0100

python-corba (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Switched to autogen.sh.
  * Added mate-common in build-depends.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 17 Nov 2011 21:51:43 +0100

python-corba (1.0.1-2) unstable; urgency=low

  * Fix upstream

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2011 17:29:11 +0000

python-corba (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 07 Nov 2011 15:48:12 +0100

=== debian/control ===
Source: python-corba
Section: python
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               python-support,
               python-all-dev,
               libmatecorba-dev,
               autotools-dev,
               quilt,
               mate-common
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://www.mate-desktop.org/

Package: python-corba
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A Python language binding for the ORBit2 MATECORBA implementation
 It aims to take advantage of new features found in ORBit2 to make
 language bindings more efficient.  This includes:
   - Use of ORBit2 type libraries to generate stubs
   - use of the ORBit_small_invoke_stub() call for operation
     invocation, which allows for short circuited invocation on local
     objects.
 .
 Where it makes sense, this binding tries to stay compatible with the
 Python language mapping, which can be found on the OMG web site:
     http://www.omg.org/cgi-bin/doc?formal/02-09-07

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --disable-static

DEB_DH_INSTALL_ARGS += --list-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://pub.mate-desktop.org/releases/(\d\.\d)/python-corba-(.*)\.tar\.xz

## python-corba 1.4.0

=== debian/changelog ===
python-corba (1.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sun, 15 Jul 2012 21:12:16 -0400

python-corba (1.2.0-2) unstable; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:16:15 -0400
